nl.tudelft.simulation.examples.dsol.terminal

## Class ConsoleRunnerTerminal

- java.lang.Object
- - nl.tudelft.simulation.examples.dsol.terminal.ConsoleRunnerTerminal

All Implemented Interfaces:
  EventListener, nl.tudelft.simulation.event.EventListenerInterface

    public final class ConsoleRunnerTerminal
    extends Object
    implements nl.tudelft.simulation.event.EventListenerInterface

copyright (c) 2002-2018 Delft University of Technology.
BSD-style license. See DSOL License.

Version:
  Jul 26, 2018
Author:
  Peter Jacobs, Alexander Verbraeck

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static void` `main(String[] args)`
`void` `notify(nl.tudelft.simulation.event.EventInterface event)`
`void` `terminate(nl.tudelft.simulation.dsol.simulators.DEVSSimulator.TimeDouble simulator, int numQC, int numAGV, int rep)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### terminate

    public void terminate(nl.tudelft.simulation.dsol.simulators.DEVSSimulator.TimeDouble simulator,
                          int numQC,
                          int numAGV,
                          int rep)
                   throws nl.tudelft.simulation.dsol.SimRuntimeException,
                          RemoteException

Parameters:
  `simulator` - the simulator
  `numQC` - num QC
  `numAGV` - num AGV
  `rep` - replication number
Throws:
  `nl.tudelft.simulation.dsol.SimRuntimeException` - on error
  `RemoteException` - on error

#### notify

    public void notify(nl.tudelft.simulation.event.EventInterface event)
                throws RemoteException

Specified by:
  `notify` in interface `nl.tudelft.simulation.event.EventListenerInterface`
Throws:
  `RemoteException`

#### main

    public static void main(String[] args)
                     throws nl.tudelft.simulation.dsol.SimRuntimeException,
                            RemoteException,
                            NamingException

Parameters:
  `args` - args
Throws:
  `nl.tudelft.simulation.dsol.SimRuntimeException` - on error
  `RemoteException` - on error
  `NamingException` - on error